ldns(3)

NAME
ldns_key_rr2ds - create DS rr from DNSKEY rr

SYNOPSIS
#include <stdint.h>
#include <stdbool.h>

#include <ldns/ldns.h>

ldns_rr* ldns_key_rr2ds(const ldns_rr *key, ldns_hash h);

DESCRIPTION

ldns_key_rr2ds() returns a new DS rr that represents the given key rr. .br *key: the key to convert .br h: the hash to use LDNS_SHA1/LDNS_SHA256 .br Returns ldns_rr* a new rr pointer to a DS

AUTHOR
The ldns team at NLnet Labs.

REPORTING BUGS
Please report bugs to dns-team@nlnetlabs.nl or on GitHub at https://github.com/NLnetLabs/ldns/issues

COPYRIGHT
Copyright (c) 2004 - 2006 NLnet Labs.

Licensed under the BSD License. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
ldns_key. And perldoc Net::DNS, RFC1034, RFC1035, RFC4033, RFC4034 and RFC4035.

REMARKS
This manpage was automatically generated from the ldns source code.